Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.exif
Class MPFTagSet

    java.lang.Object
      org.monte.media.tiff.TagSet
          org.monte.media.exif.MPFTagSet

    public class MPFTagSet

extends TagSet

Enumeration of Multi-Picture format (MPF) tags as found in MPO image files generated by Fujifilm Finepix Real 3D W1 cameras.

Source:

Multi-Picture Format (February 4, 2009). Standard of the Camera & Imaging Products Association. CIPA DC-007-Translation-2009. http://www.cipa.jp/english/hyoujunka/kikaku/pdf/DC-007_E.pdf

Version:
  1.1 2011-01-27 Adds constants.
  1.0 2010-07-24 Created.
Author:
  Werner Randelshofer

Field Summary
`static TIFFTag` | `BaselineLength`
`static TIFFTag` | `ConvergenceAngle`
`static TIFFTag` | `MPEntryInformation`
`static int` | `TAG_MPEntryInformation`
`static int` | `TAG_NumberOfImages`

Method Summary
`static TIFFTag` | `get(int tagNumber)`
`static MPFTagSet` | `getInstance()` Returns a shared instance of a BaselineTIFFTagSet.

Methods inherited from class org.monte.media.tiff.TagSet
`getName, getTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_NumberOfImages

    public static final int TAG_NumberOfImages

See Also:
  Constant Field Values

### TAG_MPEntryInformation

    public static final int TAG_MPEntryInformation

See Also:
  Constant Field Values

### MPEntryInformation

    public static final TIFFTag MPEntryInformation

### ConvergenceAngle

    public static final TIFFTag ConvergenceAngle

### BaselineLength

    public static final TIFFTag BaselineLength

Method Detail

### get

    public static TIFFTag get(int tagNumber)

### getInstance

    public static MPFTagSet getInstance()

  Returns a shared instance of a BaselineTIFFTagSet.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD